Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004465TestLinkTest Execute - 'Save and move to next'public2011-05-10 12:202012-09-01 19:59
Reporterkzwardon 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindows OS Version7 x64
Product Version1.9.1 (bug fixing) 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0004465: Problem with automatique sequence of test cases when accessed from "Test Cases Assigned to me"
DescriptionI'm using TestLink 1.9.1 (Prague) and I have a problem with "save and move to next" functionality.
After selecting passed or any else radio button in testcase and clicking on [save and move to next] button system saves results but it doesn't move to the next test case.
Next test case is in the same Test Suite and in the same Project.
Please could anyone help ? It is quite troublesome to always back to test tree.

I found that my problem only exist when I want to "save and move to next" from 'Test Cases Assigned to me' page (to perform a testcase from this page I'm clicking on green test execution icon - new window with testcase and result options is displayed).
If I'm doing a test case from Test Execution page it is working fine - after clicking on "save and move to next" button it works correctly and system navigates to next TC.


Steps To Reproduce1.Assign a couple of test case from same project and same test Suit to logged user.
2.Go to 'Testcase assigned to me' page and execute the first test.
3.Select any result and click on [save and move to next] button.
Ssytem saves the result but stays on the same testcase.
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql
BrowserFirefox 3.6, 4 / IE8
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0014821)
kzwardon (reporter)
2011-05-10 12:39

Please note:
I have resolved this issue by removing (commented) following part of code :
// BUGID 3878
 246 while (!is_null($nextItem) && !in_array($nextItem['tcase_id'], $args->testcases_to_show)) {
 247 $nextItem = $tplan_mgr->getTestCaseNextSibling($args->tplan_id,$nextItem['tcversion_id'],$args->platform_id);
(0014823)
fman (administrator)
2011-05-10 17:11

thanks for help we need to check
(0016409)
mpechner (reporter)
2012-03-01 00:37

Is there a plan to fix this. Otherwise it is another mod to the I need to make and track locally. My people are complaining about this as well.
(0016421)
fman (administrator)
2012-03-05 19:44

@mpechner
what version are you using ?
is still this present on 1.9.3 ?
(0016440)
ignard.filart (reporter)
2012-03-08 10:50

We are currently evaluating Testlink and this comes up as one of the problems.
We use 1.9.3 so its still present.
(0016443)
fman (administrator)
2012-03-09 19:19

@users
if you use proposed fix by user, problem is fixed ?
(0017293)
fman (administrator)
2012-09-01 19:59

1.9.4 released

- Issue History
Date Modified Username Field Change
2011-05-10 12:20 kzwardon New Issue
2011-05-10 12:39 kzwardon Note Added: 0014821
2011-05-10 17:11 fman Note Added: 0014823
2011-05-15 10:57 fman Summary Problem with automatique sequence of test cases => Problem with automatique sequence of test cases when accessed from "Test Cases Assigned to me"
2012-03-01 00:37 mpechner Note Added: 0016409
2012-03-05 19:44 fman Note Added: 0016421
2012-03-08 10:50 ignard.filart Note Added: 0016440
2012-03-09 19:19 fman Note Added: 0016443
2012-08-16 12:25 fman Task Workflow Status => READY FOR TESTING
2012-08-16 12:25 fman Status new => resolved
2012-08-16 12:25 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2012-08-16 12:25 fman Resolution open => fixed
2012-08-16 12:25 fman Assigned To => fman
2012-08-16 12:27 fman Category Test Execute => Test Execute - 'Save and move to next'
2012-09-01 19:59 fman Note Added: 0017293
2012-09-01 19:59 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker